<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence de la structure fichier_configuration</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Champs de données</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la structure fichier_configuration</div>  </div>
</div><!--header-->
<div class="contents">

<p>Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.  
 <a href="structfichier__configuration.html#details">Plus de détails...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Champs de données</h2></td></tr>
<tr class="memitem:a441b3f030abb5b30543968f9f1a5be0d"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structfichier__configuration.html#a441b3f030abb5b30543968f9f1a5be0d">regle</a></td></tr>
<tr class="separator:a441b3f030abb5b30543968f9f1a5be0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14cbe479b974778f69205c5f573f0aa"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structfichier__configuration.html#aa14cbe479b974778f69205c5f573f0aa">nb_etat</a></td></tr>
<tr class="separator:aa14cbe479b974778f69205c5f573f0aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3fc21fbeb899cb37ea7857bd2f5771b"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structfichier__configuration.html#ac3fc21fbeb899cb37ea7857bd2f5771b">hauteur</a></td></tr>
<tr class="separator:ac3fc21fbeb899cb37ea7857bd2f5771b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57e9bc2e6956d6fbbb7c6045ecbeac32"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structfichier__configuration.html#a57e9bc2e6956d6fbbb7c6045ecbeac32">largeur</a></td></tr>
<tr class="separator:a57e9bc2e6956d6fbbb7c6045ecbeac32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adad9a37061420fd84387f25b6a83b609"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structfichier__configuration.html#adad9a37061420fd84387f25b6a83b609">cellule_symbole</a></td></tr>
<tr class="separator:adad9a37061420fd84387f25b6a83b609"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77928a6819cdd77313e2b62249512fbf"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structfichier__configuration.html#a77928a6819cdd77313e2b62249512fbf">emplacement_initial</a></td></tr>
<tr class="separator:a77928a6819cdd77313e2b62249512fbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab267b680af93f62025924c996a89fd00"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structfichier__configuration.html#ab267b680af93f62025924c996a89fd00">enregistrer_image</a></td></tr>
<tr class="separator:ab267b680af93f62025924c996a89fd00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9512fa1069b7922c64de2f769d89a81b"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structfichier__configuration.html#a9512fa1069b7922c64de2f769d89a81b">nb_magique</a></td></tr>
<tr class="separator:a9512fa1069b7922c64de2f769d89a81b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">regle</td><td>La règle (au format binaire) permétant l'évolution des cellules de l'automate. </td></tr>
    <tr><td class="paramname">nb_etat</td><td>Le nombre d'état possible pour une cellule. </td></tr>
    <tr><td class="paramname">hauteur</td><td>La hauteur de l'automate. </td></tr>
    <tr><td class="paramname">largeur</td><td>La largeur de l'automate. </td></tr>
    <tr><td class="paramname">cellule_symbole</td><td>Le symbole utilisé pour représenté une cellule (vivante) dans l'affichage terminal. </td></tr>
    <tr><td class="paramname">emplacement_initial</td><td>Une chaine de caractère permettant l'initilisation de l'emplacement des cellules vivnates. </td></tr>
    <tr><td class="paramname">enregistrer_image</td><td>Un boolean permattant d'identifier le type d'affichage (terminal ou image). </td></tr>
    <tr><td class="paramname">nb_magique</td><td>LE nombre maagique identifie le format d'enregistrement de l'image (ASCII ou Binaire). </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00032">32</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
</div><h2 class="groupheader">Documentation des champs</h2>
<a id="adad9a37061420fd84387f25b6a83b609"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adad9a37061420fd84387f25b6a83b609">&#9670;&nbsp;</a></span>cellule_symbole</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char cellule_symbole</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00037">37</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>

</div>
</div>
<a id="a77928a6819cdd77313e2b62249512fbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77928a6819cdd77313e2b62249512fbf">&#9670;&nbsp;</a></span>emplacement_initial</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* emplacement_initial</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00038">38</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>

</div>
</div>
<a id="ab267b680af93f62025924c996a89fd00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab267b680af93f62025924c996a89fd00">&#9670;&nbsp;</a></span>enregistrer_image</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool enregistrer_image</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00039">39</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>

</div>
</div>
<a id="ac3fc21fbeb899cb37ea7857bd2f5771b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3fc21fbeb899cb37ea7857bd2f5771b">&#9670;&nbsp;</a></span>hauteur</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int hauteur</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00035">35</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>

</div>
</div>
<a id="a57e9bc2e6956d6fbbb7c6045ecbeac32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57e9bc2e6956d6fbbb7c6045ecbeac32">&#9670;&nbsp;</a></span>largeur</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int largeur</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00036">36</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>

</div>
</div>
<a id="aa14cbe479b974778f69205c5f573f0aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa14cbe479b974778f69205c5f573f0aa">&#9670;&nbsp;</a></span>nb_etat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int nb_etat</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00034">34</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>

</div>
</div>
<a id="a9512fa1069b7922c64de2f769d89a81b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9512fa1069b7922c64de2f769d89a81b">&#9670;&nbsp;</a></span>nb_magique</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int nb_magique</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00040">40</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>

</div>
</div>
<a id="a441b3f030abb5b30543968f9f1a5be0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a441b3f030abb5b30543968f9f1a5be0d">&#9670;&nbsp;</a></span>regle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* <a class="el" href="structregle.html">regle</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00033">33</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>

</div>
</div>
<hr/>La documentation de cette structure a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
